[InterMine Dev] git update, which branch?

Sofia Robb sofia2341 at gmail.com
Mon Aug 17 20:01:51 BST 2015


Hello Sergio,

I updated with  'git pull upstream master' and it seemed to be successful.

I am running through the malariamine tutorial to make sure all is in
working order, when i try this I get an error:

*]ant clean build-db
...
   [depend] The class org.intermine.metadata.MetaDataException in file
/var/lib/pgsql/other_data/intermine/intermine/objectstore/main/build/classes/org/intermine/metadata/MetaDataException.class
is out of date due to org.intermine.metadata.MetaDataException but has not
been deleted because its source file could not be determined
   [depend] The class
org.intermine.modelproduction.xml.InterMineModelParser$SkeletonClass in
file
/var/lib/pgsql/other_data/intermine/intermine/objectstore/main/build/classes/org/intermine/modelproduction/xml/InterMineModelParser$SkeletonClass.class
is out of date due to
org.intermine.modelproduction.xml.InterMineModelParser but has not been
deleted because its source file could not be determined
   [depend] The class org.intermine.model.ShadowClass in file
/var/lib/pgsql/other_data/intermine/intermine/objectstore/main/build/classes/org/intermine/model/ShadowClass.class
is out of date due to org.intermine.model.ShadowClass but has not been
deleted because its source file could not be determined
   [depend] Deleted 1 out of date files in 0 seconds
    [javac] Compiling 204 source files to
/var/lib/pgsql/other_data/intermine/intermine/objectstore/main/build/classes
[dependencies] warning: [options] bootstrap class path not set in
conjunction with -source 1.6
[dependencies]
/var/lib/pgsql/other_data/intermine/intermine/objectstore/main/src/org/intermine/codegen/JavaModelOutput.java:512:
error: cannot find symbol
[dependencies]                         if (attr.isPrimitive() ||
attr.isNumeric()) {
[dependencies]                                                       ^
[dependencies]   symbol:   method isNumeric()
[dependencies]   location: variable attr of type AttributeDescriptor
[dependencies] Note:
/var/lib/pgsql/other_data/intermine/intermine/objectstore/main/src/org/intermine/objectstore/query/QueryField.java
uses or overrides a deprecated API.
[dependencies] Note: Recompile with -Xlint:deprecation for details.
[dependencies] Note: Some input files use unchecked or unsafe operations.
[dependencies] Note: Recompile with -Xlint:unchecked for details.
[dependencies] 1 error
[dependencies] 1 warning

BUILD FAILED
/var/lib/pgsql/other_data/intermine/imbuild/library.xml:78: The following
error occurred while executing this line:
/var/lib/pgsql/other_data/intermine/imbuild/library.xml:109: The following
error occurred while executing this line:
/var/lib/pgsql/other_data/intermine/imbuild/library.xml:257: Compile
failed; see the compiler error output for details.

Total time: 14 seconds


Thanks,
Sofia


On Mon, Aug 17, 2015 at 9:43 AM, sergio contrino <sergio at modencode.org>
wrote:

> dear sofia,
> we are working on beta, while you can update to the latest release (1.5.6)
> using the master branch.
> thanks!
> sergio
>
>
>
> On 17/08/15 16:38, Sofia Robb wrote:
>
>> Hello,
>>
>> I would like to update my intermine. Which branch is the best for me to
>> use?
>>
>> Thanks,
>> Sofia
>>
>>   *]git pull upstream
>>
>> remote: Counting objects: 5382, done.
>> remote: Compressing objects: 100% (4/4), done.
>> remote: Total 5382 (delta 1958), reused 1962 (delta 1958), pack-reused
>> 3420
>> Receiving objects: 100% (5382/5382), 6.57 MiB | 4.48 MiB/s, done.
>> Resolving deltas: 100% (3021/3021), completed with 620 local objects.
>>  From github.com:intermine/intermine
>>   * [new branch]      1.5.1-rc   -> upstream/1.5.1-rc
>>     898cce9..1137c13  beta       -> upstream/beta
>>   * [new branch]      biogrid-detail-dupes ->
>> upstream/biogrid-detail-dupes
>>   + 37b68d5...11e56dc dev        -> upstream/dev  (forced update)
>>   * [new branch]      dynamic-objects -> upstream/dynamic-objects
>>   * [new branch]      gradle     -> upstream/gradle
>>     787829e..0a759cf  human-identifiers -> upstream/human-identifiers
>>     d10b7bd..0e77615  i169       -> upstream/i169
>>     60eb6eb..9324602  i797       -> upstream/i797
>>   * [new branch]      keyword-fail-loudly -> upstream/keyword-fail-loudly
>>     c01ea52..7fff99c  like       -> upstream/like
>>     b8133ad..9848015  master     -> upstream/master
>>   * [new branch]      new-class-key -> upstream/new-class-key
>>   * [new branch]      new_jsp_jars -> upstream/new_jsp_jars
>>   * [new branch]      panther-config-fix -> upstream/panther-config-fix
>>     3e88474..6a29469  protein-interactions ->
>> upstream/protein-interactions
>>   * [new branch]      rm-onto-pubs -> upstream/rm-onto-pubs
>>   * [new tag]         intermine-1.5.1 -> intermine-1.5.1
>>   * [new tag]         intermine-1.5.5 -> intermine-1.5.5
>>   * [new tag]         intermine-1.5.6 -> intermine-1.5.6
>>  From github.com:intermine/intermine
>>   * [new tag]         intermine-1.4.2 -> intermine-1.4.2
>>   * [new tag]         intermine-1.5 -> intermine-1.5
>>   * [new tag]         intermine-1.5.3 -> intermine-1.5.3
>>   * [new tag]         intermine-1.5.4 -> intermine-1.5.4
>> You asked to pull from the remote 'upstream', but did not specify
>> a branch. Because this is not the default configured remote
>> for your current branch, you must specify a branch on the command line.
>>
>>
>> _______________________________________________
>> dev mailing list
>> dev at intermine.org
>> http://mail.intermine.org/cgi-bin/mailman/listinfo/dev
>>
>>
> --
> sergio contrino                  InterMine, University of Cambridge
> https://sergiocontrino.github.io           http://www.intermine.org
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.intermine.org/pipermail/dev/attachments/20150817/f5b085a6/attachment-0001.html>


More information about the dev mailing list